scala.tools.reflect

# FrontEnd

#### trait FrontEnd extends AnyRef

Source
  FrontEnd.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FrontEnd
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Info(pos: Position, msg: String, severity: Severity) extends Product with Serializable

2. #### class Severity extends severity.Value

### Abstract Value Members

1. #### abstract def display(info: Info): Unit

   Displays incoming info

2. #### abstract def interactive(): Unit

   Services a request to drop into interactive mode

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FrontEnd to any2stringadd[FrontEnd] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FrontEnd, B)

   Implicit information
     This member is added by an implicit conversion from FrontEnd to ArrowAssoc[FrontEnd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val ERROR: Severity

7. #### val INFO: Severity

8. #### val WARNING: Severity

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (FrontEnd) ⇒ Boolean, msg: ⇒ Any): FrontEnd

    Implicit information
      This member is added by an implicit conversion from FrontEnd to Ensuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (FrontEnd) ⇒ Boolean): FrontEnd

    Implicit information
      This member is added by an implicit conversion from FrontEnd to Ensuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): FrontEnd

    Implicit information
      This member is added by an implicit conversion from FrontEnd to Ensuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): FrontEnd

    Implicit information
      This member is added by an implicit conversion from FrontEnd to Ensuring[FrontEnd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def flush(): Unit

    Refreshes the UI

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FrontEnd to StringFormat[FrontEnd] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hasErrors: Boolean

22. #### def hasWarnings: Boolean

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### val infos: LinkedHashSet[Info]

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### def log(pos: Position, msg: String, severity: Severity): Unit

    Handles incoming info

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def reset(): Unit

    Resets the reporter

31. #### object severity extends Enumeration

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (FrontEnd, B)

    Implicit information
      This member is added by an implicit conversion from FrontEnd to ArrowAssoc[FrontEnd] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FrontEnd to any2stringadd[FrontEnd]

### Inherited by implicit conversion StringFormat from FrontEnd to StringFormat[FrontEnd]

### Inherited by implicit conversion Ensuring from FrontEnd to Ensuring[FrontEnd]

### Inherited by implicit conversion ArrowAssoc from FrontEnd to ArrowAssoc[FrontEnd]

### Ungrouped